Loading...
Searching...
No Matches
nanoflann::L2_Adaptor< T, DataSource, _DistanceType, IndexType > Struct Template Reference
nanoflann C++ library for KD-trees » Metric (distance) classes

`#include <nanoflann.hpp>`

## Public Types

using | ElementType = T
using | DistanceType = _DistanceType

## Public Member Functions

| L2_Adaptor (const DataSource &_data_source)
DistanceType | evalMetric (const T *NANOFLANN_RESTRICT a, const IndexType b_idx, size_t size) const
template<typename U, typename V>
DistanceType | accum_dist (const U a, const V b, const size_t) const

## Public Attributes

const DataSource & | data_source

## Detailed Description

template<class T, class DataSource, typename _DistanceType = T, typename IndexType = size_t>
struct nanoflann::L2_Adaptor< T, DataSource, _DistanceType, IndexType >

Squared Euclidean distance functor (generic version, optimized for high-dimensionality data sets). Corresponding distance traits: nanoflann::metric_L2

Template Parameters

  T | Type of the elements (e.g. double, float, uint8_t)
  DataSource | Source of the data, i.e. where the vectors are stored
  _DistanceType | Type of distance variables (must be signed)
  IndexType | Type of the arguments with which the data can be accessed (e.g. float, double, int64_t, T*)

The documentation for this struct was generated from the following file:

- include/nanoflann.hpp